# -*- coding: utf-8 -*-

##
#	Glowny plik konfiguracyjny Semiramidy.
#
#	\author Krzysztof Kosyl

import gettext
_ = gettext.gettext

from os.path import join

DEBUG = True
TEMPLATE_DEBUG = DEBUG

# Ustawienia Semiramidy, zaczynaja sie prefiksem 'SEMIRAMIS_'
## Adres maszyny na ktorej dziala Hammurabi.
SEMIRAMIS_HAMMURABI_HOST = ''
## Port na ktorym dziala Hammurabi.
SEMIRAMIS_HAMMURABI_PORT = 1313

SEMIRAMIS_ITEMS_PER_PAGE = 10
SEMIRAMIS_ADJACENT_PAGES = 5
SEMIRAMIS_PHOTO_THUMB = (100,100)
SEMIRAMIS_PHOTO_LARGE = (480,480)

SEMIRAMIS_DATE_FORMAT = '%m-%d-%Y %H:%M:%S'

######SEMIRAMIS_FEED_PREFIX = 'http://localhost:8080'
#SEMIRAMIS_HOST_PREFIX = 'http://kosqx.ath.cx:8080'
SEMIRAMIS_HOST_PREFIX = 'http://10.0.0.7:8080'
SEMIRAMIS_DIR_PREFIX = ''

SEMIRAMIS_BASE_DIR = '/home/kosqx/nebuchadrezzar/'
SEMIRAMIS_PHOTO_DIR = join(SEMIRAMIS_BASE_DIR, 'media/photo')
SEMIRAMIS_MEDIA_DIR = join(SEMIRAMIS_BASE_DIR, 'media')
SEMIRAMIS_STATIC_DIR = join(SEMIRAMIS_BASE_DIR, 'static')

SEMIRAMIS_GOOGLE_KEY = {
	"localhost:8080":         "ABQIAAAA8qdfnOIRy3a9gh214V5jKRTwM0brOpm-All5BF6PoaKBxRWWERQ7UHfSE2CGKw9qNg0C1vUmYLatLQ",
	"localhost:8088":         "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRTRPPg-t4qZV_Pkpf2GWNHxovB6dBTL4MxRZDqnuzS1BzCEmIuSPF15HA",
	"localhost":              "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRT2yXp_ZAY8_ufC3CFXhHIE1NvwkxRtw_YnOM0H7y8pmvtXV0cYe7nOGw",
	"kosqx.ath.cx:8080":      "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRSNBO3Qe8wfF9ETe7YZO0qV1shcfBR8xxdAf79aUv-sJCnMNZ1HxS1gYw",
	"10.0.0.7:8080":          "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRSgKH5oLeUpyZszqjU7TNsDOfh1IBRgf4JeDI7KlmrNy9w4Q7vY-z91Tg",
	"rybki.getmyip.com:8080": "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRQpTP1bupSZPQsoEqFxORU0V8cgwRSX113sm9Ypj4ZEd5tLmLajQGAmag",
	"10.0.0.3:8080":          "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRSqxk9jOhGQtyawAp74OjyUsYKxbRR6FD3qKHJkw_08r06X4lgtmDdW5A",
	"192.168.134.100:8080":   "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRRoAMbVXVa_sW-iXUQSBEcBqKdTGRTgjey8szVNIU_uMj1hmsOuo2wC1A",
	"192.168.134.101:8080":   "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRSxxQhJxrTjsvLlWeB3e1LCztotKxT-fqRjpoGOLzpEG6tMRrcIAwQDqg",
	"192.168.134.101:8088":   "ABQIAAAAkUJsCKfShXgdjjBoKMbRsRSOslCuaVJ_Bsziw5S7iNmnajkmHBSb2_hZmfC4_IZzmF2Ydirt15u1ag",
}

TEMPLATE_DIRS = (
	join(SEMIRAMIS_BASE_DIR, 'template'),
)

# ustawienia bazy na rybki (ignacy)
#DATABASE_ENGINE   = 'postgresql'
#DATABASE_NAME     = 'baza'
#DATABASE_USER     = 'postgres'
#DATABASE_PASSWORD = 'pz2006-2007'
#DATABASE_HOST     = ''
#DATABASE_PORT     = ''

# ustawienia bazy kosqx	(karolina)
DATABASE_ENGINE   = 'postgresql'
DATABASE_NAME     = 'baza'	#'nebuchadrezzar'
DATABASE_USER     = 'kosqx'
DATABASE_PASSWORD = 'kosqxpass'
DATABASE_HOST     = ''
DATABASE_PORT     = ''



ADMINS = (
	# ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS

TIME_ZONE = 'Europe/Warsaw'
LANGUAGE_CODE = 'pl'

LANGUAGES = (
	('pl', _('Polish')),
	('en', _('English')),
)

DEFAULT_CHARSET = 'utf-8'

SITE_ID = 1

# Powinno byc ustawion na True
USE_I18N = True

# nie uzywane
MEDIA_ROOT = ''
#nie uzywane
MEDIA_URL = ''

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/adminmedia/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = '#$exj0nutkwm%lz*#(b#ttu9qz2qsoj!_mvxdqh-ia2*c%xlo@'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
	'django.template.loaders.filesystem.load_template_source',
	'django.template.loaders.app_directories.load_template_source',
	#'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
	'django.middleware.common.CommonMiddleware',
	'django.middleware.locale.LocaleMiddleware',
	'django.contrib.sessions.middleware.SessionMiddleware',
	'django.contrib.auth.middleware.AuthenticationMiddleware',
	'django.middleware.doc.XViewMiddleware',
)

ROOT_URLCONF = 'nebuchadrezzar.urls'

INSTALLED_APPS = (
	'django.contrib.auth',
	'django.contrib.contenttypes',
	'django.contrib.sessions',
	'django.contrib.sites',
	'django.contrib.admin',
	'nebuchadrezzar.semiramis',
)

